Subject: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Michael Albinus <[email-masked]>
Date: Wed, 30 Jun 2021 18:07:41 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> Would it make sense to allow the user to control where the lockfiles are
>> written?
>
> Yes, I think so.  But it is not as trivial as it could sound,
> because...
>
>> The lockfiles are symlinks, so it should theoretically be
>> possible to have them elsewhere without being any racier than the code
>> currently is, I think.
>
> ...even if the lock files are symlinks (which they not necessarily
> are), we need to handle the case of several files with identical
> basenames in different directories.  (Their being symlinks is
> unimportant, because the target of the symlink doesn't exist.)

And there is the case of remote files. Do we want locking of remote
files? Should the respective lock file be local (better for performance)
or also remote (better for locking a file being accessed from different
Emacsen somewhere)?

Best regards, Michael.